%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_cs_hedging_portfolio_of_options_short
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_cs_hedging_portfolio_of_options_short.zip'
%Run program 'problem_cs_hedging_portfolio_of_options_short.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_cs_hedging_portfolio_of_options_short_data.mat')
%Define input arguments:
string2 = {'cvar_risk'};
w2 = {0.95};

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog([], string2, [], [], [], [], w2, H2, c2, [], d, r, [], [], [], [], lb, ub);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_risk= %g', output.frval2))
%Display linear component of objective:
disp('linear component of objective:');
disp(output.fdval);
%Display optimal point:
disp('optimal point = ');
disp(xout');
